Author berker.peksag
Recipients Barun Parruck, berker.peksag, docs@python, hniksic, martin.panter, python-dev, serhiy.storchaka
Date 2016-02-08.05:55:55
SpamBayes Score -1.0
Marked as misclassified Yes
Message-id <1454910956.33.0.108788674114.issue26198@psf.upfronthosting.co.za>
In-reply-to
Content
test_datetime is broken on 3.5 and default:

======================================================================
FAIL: test_format (test.datetimetester.TestSubclassDateTime)
----------------------------------------------------------------------
TypeError: __format__() argument 1 must be str, not int

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/var/lib/buildbot/slaves/profile-opt-bot/3.5.gps-debian-profile-opt/build/Lib/test/datetimetester.py", line 1578, in test_format
    dt.__format__(123)
AssertionError: "^must be str, not int$" does not match "__format__() argument 1 must be str, not int"

http://buildbot.python.org/all/builders/AMD64%20Debian%20PGO%203.5/builds/632/steps/test/logs/stdio

http://buildbot.python.org/all/builders/x86%20Tiger%203.x/builds/10486/steps/test/logs/stdio
History
Date User Action Args
2016-02-08 05:55:56berker.peksagsetrecipients: + berker.peksag, hniksic, docs@python, python-dev, martin.panter, serhiy.storchaka, Barun Parruck
2016-02-08 05:55:56berker.peksagsetmessageid: <1454910956.33.0.108788674114.issue26198@psf.upfronthosting.co.za>
2016-02-08 05:55:56berker.peksaglinkissue26198 messages
2016-02-08 05:55:55berker.peksagcreate